# Class SSIFlastmod

java.lang.Object
org.apache.catalina.ssi.SSIFlastmod

All Implemented Interfaces:
  `SSICommand`

public final class SSIFlastmod extends Object implements SSICommand
Implements the Server-side #flastmod command

Author:
  Bip Thelin, Paul Speed, Dan Sandberg, David Becker

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSIFlastmod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `formatDate(Date date, String configTimeFmt)`
  `long`
  `process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
  Write the output of the command to the writer.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SSIFlastmod

    public SSIFlastmod()

- ## Method Details

  - ### process

    public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)
    Description copied from interface: `SSICommand`
    Write the output of the command to the writer.
    Specified by:
      `process` in interface `SSICommand`
    Parameters:
      `ssiMediator` - the ssi mediator
      `commandName` - the name of the actual command ( ie. echo )
      `paramNames` - The parameter names
      `paramValues` - The parameter values
      `writer` - the writer to output to
    Returns:
      the most current modified date resulting from any SSI commands

  - ### formatDate

    protected String formatDate(Date date, String configTimeFmt)